Bug 449962 - Review Request: tex-fonts-hebrew - Support using (Culmus) Hebrew fonts in TeXLive
Review Request: tex-fonts-hebrew - Support using (Culmus) Hebrew fonts in Te...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-04 10:50 EDT by Dan Kenigsberg
Modified: 2008-07-06 12:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-06 12:29:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dan Kenigsberg 2008-06-04 10:50:48 EDT
Spec URL: http://www.cs.technion.ac.il/~danken/texlive-fonts-hebrew.spec
SRPM URL: http://www.cs.technion.ac.il/~danken/texlive-fonts-hebrew-0.1-9.fc9.src.rpm
Description: Support using the Culmus Hebrew fonts in TeXLive!

(minor conversion of tetex-fonts-hebrew)
Comment 1 Patrice Dumas 2008-06-04 10:53:31 EDT
The naming of tex packages is now
tex-fonts-hebrew
Comment 2 Dan Kenigsberg 2008-06-04 11:07:52 EDT
Thanks, but why do
http://download.fedora.redhat.com/pub/fedora/linux/development/x86_64/os/Packages/texlive-2007-31.fc10.x86_64.rpm
and its likes suggest otherwise?
Comment 3 Jason Tibbitts 2008-06-06 20:38:31 EDT
Well, texlive is itself a distribution and has many subpackages, but this is not
a texlive subpackage.  Previously Fedora used tetex, and thus you will see many
tetex-* package still in the distribution, but due to the change we prefer to
have a tex-distribution-neutral naming scheme; hence, tex-fonts-hebrew.

See http://fedoraproject.org/wiki/Packaging/Minutes20071002 for the packaging
committee decision.  Unfortunately I think this fell through the cracks and
wasn't  ever written into the guidelines anywhere; if you'd prefer to to wait
until that is done and I can refer you directly to the guidelines, I'd understand.

Anyway, this package builds OK; rpmlint has the following complaints:

  W: file-not-utf8 /usr/share/doc/texlive-fonts-hebrew-0.1/hebhello.tex
Normally we fix these up, but I'm not sure what to do with tex files.

  W: dangling-relative-symlink /usr/share/texmf/fonts/type1/public/culmus 
   ../../../../fonts/culmus
  W: dangling-relative-symlink /usr/share/texmf/fonts/afm/public/culmus 
   ../../../../fonts/culmus
It's OK to have links to files in other packages as long as they're pulled in
via dependencies, which is the case here since fonts-hebrew, a dependency, will
pull in culmus-fonts.

  W: invalid-license GPL
Please use an appropriate License: tag from http://fedoraproject.org/wiki/Licensing.

  W: obsolete-not-provided tetex-fonts-hebrew
If you want to replace the existing tetex-fonts-hebrew package, you need to
provide a proper upgrade path.  See
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Renaming.2Freplacing_existing_packages
for more information.
Comment 4 Dan Kenigsberg 2008-06-07 04:30:09 EDT
Thanks for the quick review. I think I answer your comments in
http://www.cs.technion.ac.il/~danken/tex-fonts-hebrew-0.1-9.fc9.src.rpm and
http://www.cs.technion.ac.il/~danken/tex-fonts-hebrew.spec
Please tell me if you find somthing to the contrary.
Comment 5 Jason Tibbitts 2008-06-18 00:08:55 EDT
Sorry for taking so long; I was distracted by another project.  At least I
remember why this seems so familiar; I reviewed tetex-fonts-hebrew a couple of
years ago.  We have a few new guidelines since then, and I might have missed a
couple of things, so there are a few issues even though this package is mostly
the same.

rpmlint is down to the file-not-utf8 and two dangling-relative-symlink
complaints.  I think these are all OK.

I know you're maintaining the tarball yourself; we have a guideline about that
now.  Please see http://fedoraproject.org/wiki/Packaging/SourceURL (the "We are
Upstream" section).

I'm not sure the License: is correct.  There is a GPL notice, but as far as I
can tell, nothing in the package specifies a version, so by the language in the
GPL notice any GPL version is acceptable (and hence the License: tag should
contain GPL+).  Also, the file "hebrew.ldf" seems to be under the LPPL.  If
that's correct then it seems to me that you should have:
  License: GPL+ and LPPL
with a comment before that indicating which parts are under which license.  But
I could be missing something.

The Summary isn't actually correct on F9 at least, because teTeX isn't in use there.

The /usr/share/texmf/fonts/enc/dvips/culmus directory seems to be unowned.

X source files can't be compared with upstream sources.
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
X summary shouldn't mention tetex.
* description is OK.
* dist tag is present.
* build root is OK.
X license field doesn't seem to match the actual license.
* license is open source-compatible.
* license text included in package.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
   tetex-fonts-hebrew = 0.1-9.fc10
   tex-fonts-hebrew = 0.1-9.fc10
  =
   /bin/sh
   /usr/bin/texhash
   /usr/bin/updmap-sys
   fonts-hebrew
   texlive

X fails to own /usr/share/texmf/fonts/enc/dvips/culmus
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 6 Dan Kenigsberg 2008-06-18 04:58:54 EDT
Don't worry about small delays; now that I have this package working on my own
machine I'm in no hurry.

I hope that I answered all your comments. (mainly added comments to the spec...)
Please review the same URLs again.
Comment 7 Jason Tibbitts 2008-06-18 12:30:49 EDT
Things look good to me:

/usr/share/texmf/fonts/enc/dvips/culmus is owned properly.
The License: looks good.
Summary looks good.
Lack of upstream sources is commented properly.

APPROVED
Comment 8 Dan Kenigsberg 2008-06-18 17:17:44 EDT
New Package CVS Request
=======================
Package Name: tex-fonts-hebrew
Short Description: Support using (Culmus) Hebrew fonts in TeXLive
Owners: danken
Branches: F-9
InitialCC: danken
Cvsextras Commits: yes
Comment 9 Jason Tibbitts 2008-06-18 20:32:42 EDT
CVS done.
Comment 10 Fedora Update System 2008-06-19 16:35:46 EDT
tex-fonts-hebrew-0.1-9.fc9 has been submitted as an update for Fedora 9
Comment 11 Fedora Update System 2008-06-20 15:07:56 EDT
tex-fonts-hebrew-0.1-9.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Nicolas Mailhot 2008-07-06 12:29:03 EDT
Please don't leave review tickets open after they're done — thanks

Note You need to log in before you can comment on or make changes to this bug.